-- BITMAP GENERATOR --
-- Source bitmap: bitmap_smile.bmp


library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

package bitmap_smile is
	--- bitmap pixels ---
	function pixels (col: std_logic_vector; row: std_logic_vector) return std_logic;

	--- bitmap size ---
	constant bmpx: integer := 21;
	constant bmpy: integer := 20;
	constant bitx: integer := 5;
	constant bity: integer := 5;
end bitmap_smile;

package body bitmap_smile is
	--- bitmap pixels ---
	function pixels (col: std_logic_vector; row: std_logic_vector) return std_logic_vector is
		variable pix: std_logic;
	begin
		   if (col=0   and row=0  ) then pix := '0';
		elsif (col=1   and row=0  ) then pix := '0';
		elsif (col=2   and row=0  ) then pix := '0';
		elsif (col=3   and row=0  ) then pix := '0';
		elsif (col=4   and row=0  ) then pix := '0';
		elsif (col=5   and row=0  ) then pix := '0';
		elsif (col=6   and row=0  ) then pix := '1';
		elsif (col=7   and row=0  ) then pix := '1';
		elsif (col=8   and row=0  ) then pix := '1';
		elsif (col=9   and row=0  ) then pix := '1';
		elsif (col=10  and row=0  ) then pix := '1';
		elsif (col=11  and row=0  ) then pix := '1';
		elsif (col=12  and row=0  ) then pix := '1';
		elsif (col=13  and row=0  ) then pix := '1';
		elsif (col=14  and row=0  ) then pix := '1';
		elsif (col=15  and row=0  ) then pix := '0';
		elsif (col=16  and row=0  ) then pix := '0';
		elsif (col=17  and row=0  ) then pix := '0';
		elsif (col=18  and row=0  ) then pix := '0';
		elsif (col=19  and row=0  ) then pix := '0';
		elsif (col=20  and row=0  ) then pix := '0';
		elsif (col=0   and row=1  ) then pix := '0';
		elsif (col=1   and row=1  ) then pix := '0';
		elsif (col=2   and row=1  ) then pix := '0';
		elsif (col=3   and row=1  ) then pix := '0';
		elsif (col=4   and row=1  ) then pix := '1';
		elsif (col=5   and row=1  ) then pix := '1';
		elsif (col=6   and row=1  ) then pix := '1';
		elsif (col=7   and row=1  ) then pix := '1';
		elsif (col=8   and row=1  ) then pix := '1';
		elsif (col=9   and row=1  ) then pix := '1';
		elsif (col=10  and row=1  ) then pix := '1';
		elsif (col=11  and row=1  ) then pix := '1';
		elsif (col=12  and row=1  ) then pix := '1';
		elsif (col=13  and row=1  ) then pix := '1';
		elsif (col=14  and row=1  ) then pix := '1';
		elsif (col=15  and row=1  ) then pix := '1';
		elsif (col=16  and row=1  ) then pix := '1';
		elsif (col=17  and row=1  ) then pix := '0';
		elsif (col=18  and row=1  ) then pix := '0';
		elsif (col=19  and row=1  ) then pix := '0';
		elsif (col=20  and row=1  ) then pix := '0';
		elsif (col=0   and row=2  ) then pix := '0';
		elsif (col=1   and row=2  ) then pix := '0';
		elsif (col=2   and row=2  ) then pix := '0';
		elsif (col=3   and row=2  ) then pix := '1';
		elsif (col=4   and row=2  ) then pix := '1';
		elsif (col=5   and row=2  ) then pix := '1';
		elsif (col=6   and row=2  ) then pix := '1';
		elsif (col=7   and row=2  ) then pix := '1';
		elsif (col=8   and row=2  ) then pix := '1';
		elsif (col=9   and row=2  ) then pix := '1';
		elsif (col=10  and row=2  ) then pix := '1';
		elsif (col=11  and row=2  ) then pix := '1';
		elsif (col=12  and row=2  ) then pix := '1';
		elsif (col=13  and row=2  ) then pix := '1';
		elsif (col=14  and row=2  ) then pix := '1';
		elsif (col=15  and row=2  ) then pix := '1';
		elsif (col=16  and row=2  ) then pix := '1';
		elsif (col=17  and row=2  ) then pix := '1';
		elsif (col=18  and row=2  ) then pix := '0';
		elsif (col=19  and row=2  ) then pix := '0';
		elsif (col=20  and row=2  ) then pix := '0';
		elsif (col=0   and row=3  ) then pix := '0';
		elsif (col=1   and row=3  ) then pix := '0';
		elsif (col=2   and row=3  ) then pix := '1';
		elsif (col=3   and row=3  ) then pix := '1';
		elsif (col=4   and row=3  ) then pix := '1';
		elsif (col=5   and row=3  ) then pix := '1';
		elsif (col=6   and row=3  ) then pix := '1';
		elsif (col=7   and row=3  ) then pix := '1';
		elsif (col=8   and row=3  ) then pix := '1';
		elsif (col=9   and row=3  ) then pix := '1';
		elsif (col=10  and row=3  ) then pix := '1';
		elsif (col=11  and row=3  ) then pix := '1';
		elsif (col=12  and row=3  ) then pix := '1';
		elsif (col=13  and row=3  ) then pix := '1';
		elsif (col=14  and row=3  ) then pix := '1';
		elsif (col=15  and row=3  ) then pix := '1';
		elsif (col=16  and row=3  ) then pix := '1';
		elsif (col=17  and row=3  ) then pix := '1';
		elsif (col=18  and row=3  ) then pix := '1';
		elsif (col=19  and row=3  ) then pix := '0';
		elsif (col=20  and row=3  ) then pix := '0';
		elsif (col=0   and row=4  ) then pix := '0';
		elsif (col=1   and row=4  ) then pix := '1';
		elsif (col=2   and row=4  ) then pix := '1';
		elsif (col=3   and row=4  ) then pix := '1';
		elsif (col=4   and row=4  ) then pix := '1';
		elsif (col=5   and row=4  ) then pix := '0';
		elsif (col=6   and row=4  ) then pix := '0';
		elsif (col=7   and row=4  ) then pix := '0';
		elsif (col=8   and row=4  ) then pix := '1';
		elsif (col=9   and row=4  ) then pix := '1';
		elsif (col=10  and row=4  ) then pix := '1';
		elsif (col=11  and row=4  ) then pix := '1';
		elsif (col=12  and row=4  ) then pix := '1';
		elsif (col=13  and row=4  ) then pix := '0';
		elsif (col=14  and row=4  ) then pix := '0';
		elsif (col=15  and row=4  ) then pix := '0';
		elsif (col=16  and row=4  ) then pix := '1';
		elsif (col=17  and row=4  ) then pix := '1';
		elsif (col=18  and row=4  ) then pix := '1';
		elsif (col=19  and row=4  ) then pix := '1';
		elsif (col=20  and row=4  ) then pix := '0';
		elsif (col=0   and row=5  ) then pix := '0';
		elsif (col=1   and row=5  ) then pix := '1';
		elsif (col=2   and row=5  ) then pix := '1';
		elsif (col=3   and row=5  ) then pix := '1';
		elsif (col=4   and row=5  ) then pix := '1';
		elsif (col=5   and row=5  ) then pix := '0';
		elsif (col=6   and row=5  ) then pix := '0';
		elsif (col=7   and row=5  ) then pix := '0';
		elsif (col=8   and row=5  ) then pix := '1';
		elsif (col=9   and row=5  ) then pix := '1';
		elsif (col=10  and row=5  ) then pix := '1';
		elsif (col=11  and row=5  ) then pix := '1';
		elsif (col=12  and row=5  ) then pix := '1';
		elsif (col=13  and row=5  ) then pix := '0';
		elsif (col=14  and row=5  ) then pix := '0';
		elsif (col=15  and row=5  ) then pix := '0';
		elsif (col=16  and row=5  ) then pix := '1';
		elsif (col=17  and row=5  ) then pix := '1';
		elsif (col=18  and row=5  ) then pix := '1';
		elsif (col=19  and row=5  ) then pix := '1';
		elsif (col=20  and row=5  ) then pix := '0';
		elsif (col=0   and row=6  ) then pix := '1';
		elsif (col=1   and row=6  ) then pix := '1';
		elsif (col=2   and row=6  ) then pix := '1';
		elsif (col=3   and row=6  ) then pix := '1';
		elsif (col=4   and row=6  ) then pix := '1';
		elsif (col=5   and row=6  ) then pix := '1';
		elsif (col=6   and row=6  ) then pix := '1';
		elsif (col=7   and row=6  ) then pix := '1';
		elsif (col=8   and row=6  ) then pix := '1';
		elsif (col=9   and row=6  ) then pix := '1';
		elsif (col=10  and row=6  ) then pix := '1';
		elsif (col=11  and row=6  ) then pix := '1';
		elsif (col=12  and row=6  ) then pix := '1';
		elsif (col=13  and row=6  ) then pix := '1';
		elsif (col=14  and row=6  ) then pix := '1';
		elsif (col=15  and row=6  ) then pix := '1';
		elsif (col=16  and row=6  ) then pix := '1';
		elsif (col=17  and row=6  ) then pix := '1';
		elsif (col=18  and row=6  ) then pix := '1';
		elsif (col=19  and row=6  ) then pix := '1';
		elsif (col=20  and row=6  ) then pix := '1';
		elsif (col=0   and row=7  ) then pix := '1';
		elsif (col=1   and row=7  ) then pix := '1';
		elsif (col=2   and row=7  ) then pix := '1';
		elsif (col=3   and row=7  ) then pix := '1';
		elsif (col=4   and row=7  ) then pix := '1';
		elsif (col=5   and row=7  ) then pix := '1';
		elsif (col=6   and row=7  ) then pix := '1';
		elsif (col=7   and row=7  ) then pix := '1';
		elsif (col=8   and row=7  ) then pix := '1';
		elsif (col=9   and row=7  ) then pix := '1';
		elsif (col=10  and row=7  ) then pix := '0';
		elsif (col=11  and row=7  ) then pix := '1';
		elsif (col=12  and row=7  ) then pix := '1';
		elsif (col=13  and row=7  ) then pix := '1';
		elsif (col=14  and row=7  ) then pix := '1';
		elsif (col=15  and row=7  ) then pix := '1';
		elsif (col=16  and row=7  ) then pix := '1';
		elsif (col=17  and row=7  ) then pix := '1';
		elsif (col=18  and row=7  ) then pix := '1';
		elsif (col=19  and row=7  ) then pix := '1';
		elsif (col=20  and row=7  ) then pix := '1';
		elsif (col=0   and row=8  ) then pix := '1';
		elsif (col=1   and row=8  ) then pix := '1';
		elsif (col=2   and row=8  ) then pix := '1';
		elsif (col=3   and row=8  ) then pix := '1';
		elsif (col=4   and row=8  ) then pix := '1';
		elsif (col=5   and row=8  ) then pix := '1';
		elsif (col=6   and row=8  ) then pix := '1';
		elsif (col=7   and row=8  ) then pix := '1';
		elsif (col=8   and row=8  ) then pix := '1';
		elsif (col=9   and row=8  ) then pix := '1';
		elsif (col=10  and row=8  ) then pix := '0';
		elsif (col=11  and row=8  ) then pix := '1';
		elsif (col=12  and row=8  ) then pix := '1';
		elsif (col=13  and row=8  ) then pix := '1';
		elsif (col=14  and row=8  ) then pix := '1';
		elsif (col=15  and row=8  ) then pix := '1';
		elsif (col=16  and row=8  ) then pix := '1';
		elsif (col=17  and row=8  ) then pix := '1';
		elsif (col=18  and row=8  ) then pix := '1';
		elsif (col=19  and row=8  ) then pix := '1';
		elsif (col=20  and row=8  ) then pix := '1';
		elsif (col=0   and row=9  ) then pix := '1';
		elsif (col=1   and row=9  ) then pix := '1';
		elsif (col=2   and row=9  ) then pix := '1';
		elsif (col=3   and row=9  ) then pix := '1';
		elsif (col=4   and row=9  ) then pix := '1';
		elsif (col=5   and row=9  ) then pix := '1';
		elsif (col=6   and row=9  ) then pix := '1';
		elsif (col=7   and row=9  ) then pix := '1';
		elsif (col=8   and row=9  ) then pix := '1';
		elsif (col=9   and row=9  ) then pix := '1';
		elsif (col=10  and row=9  ) then pix := '0';
		elsif (col=11  and row=9  ) then pix := '1';
		elsif (col=12  and row=9  ) then pix := '1';
		elsif (col=13  and row=9  ) then pix := '1';
		elsif (col=14  and row=9  ) then pix := '1';
		elsif (col=15  and row=9  ) then pix := '1';
		elsif (col=16  and row=9  ) then pix := '1';
		elsif (col=17  and row=9  ) then pix := '1';
		elsif (col=18  and row=9  ) then pix := '1';
		elsif (col=19  and row=9  ) then pix := '1';
		elsif (col=20  and row=9  ) then pix := '1';
		elsif (col=0   and row=10 ) then pix := '1';
		elsif (col=1   and row=10 ) then pix := '1';
		elsif (col=2   and row=10 ) then pix := '1';
		elsif (col=3   and row=10 ) then pix := '1';
		elsif (col=4   and row=10 ) then pix := '1';
		elsif (col=5   and row=10 ) then pix := '1';
		elsif (col=6   and row=10 ) then pix := '1';
		elsif (col=7   and row=10 ) then pix := '1';
		elsif (col=8   and row=10 ) then pix := '1';
		elsif (col=9   and row=10 ) then pix := '1';
		elsif (col=10  and row=10 ) then pix := '0';
		elsif (col=11  and row=10 ) then pix := '1';
		elsif (col=12  and row=10 ) then pix := '1';
		elsif (col=13  and row=10 ) then pix := '1';
		elsif (col=14  and row=10 ) then pix := '1';
		elsif (col=15  and row=10 ) then pix := '1';
		elsif (col=16  and row=10 ) then pix := '1';
		elsif (col=17  and row=10 ) then pix := '1';
		elsif (col=18  and row=10 ) then pix := '1';
		elsif (col=19  and row=10 ) then pix := '1';
		elsif (col=20  and row=10 ) then pix := '1';
		elsif (col=0   and row=11 ) then pix := '1';
		elsif (col=1   and row=11 ) then pix := '1';
		elsif (col=2   and row=11 ) then pix := '1';
		elsif (col=3   and row=11 ) then pix := '1';
		elsif (col=4   and row=11 ) then pix := '1';
		elsif (col=5   and row=11 ) then pix := '1';
		elsif (col=6   and row=11 ) then pix := '1';
		elsif (col=7   and row=11 ) then pix := '1';
		elsif (col=8   and row=11 ) then pix := '1';
		elsif (col=9   and row=11 ) then pix := '1';
		elsif (col=10  and row=11 ) then pix := '0';
		elsif (col=11  and row=11 ) then pix := '1';
		elsif (col=12  and row=11 ) then pix := '1';
		elsif (col=13  and row=11 ) then pix := '1';
		elsif (col=14  and row=11 ) then pix := '1';
		elsif (col=15  and row=11 ) then pix := '1';
		elsif (col=16  and row=11 ) then pix := '1';
		elsif (col=17  and row=11 ) then pix := '1';
		elsif (col=18  and row=11 ) then pix := '1';
		elsif (col=19  and row=11 ) then pix := '1';
		elsif (col=20  and row=11 ) then pix := '1';
		elsif (col=0   and row=12 ) then pix := '1';
		elsif (col=1   and row=12 ) then pix := '1';
		elsif (col=2   and row=12 ) then pix := '1';
		elsif (col=3   and row=12 ) then pix := '1';
		elsif (col=4   and row=12 ) then pix := '1';
		elsif (col=5   and row=12 ) then pix := '0';
		elsif (col=6   and row=12 ) then pix := '1';
		elsif (col=7   and row=12 ) then pix := '1';
		elsif (col=8   and row=12 ) then pix := '1';
		elsif (col=9   and row=12 ) then pix := '1';
		elsif (col=10  and row=12 ) then pix := '1';
		elsif (col=11  and row=12 ) then pix := '1';
		elsif (col=12  and row=12 ) then pix := '1';
		elsif (col=13  and row=12 ) then pix := '1';
		elsif (col=14  and row=12 ) then pix := '1';
		elsif (col=15  and row=12 ) then pix := '0';
		elsif (col=16  and row=12 ) then pix := '1';
		elsif (col=17  and row=12 ) then pix := '1';
		elsif (col=18  and row=12 ) then pix := '1';
		elsif (col=19  and row=12 ) then pix := '1';
		elsif (col=20  and row=12 ) then pix := '1';
		elsif (col=0   and row=13 ) then pix := '1';
		elsif (col=1   and row=13 ) then pix := '1';
		elsif (col=2   and row=13 ) then pix := '1';
		elsif (col=3   and row=13 ) then pix := '1';
		elsif (col=4   and row=13 ) then pix := '1';
		elsif (col=5   and row=13 ) then pix := '0';
		elsif (col=6   and row=13 ) then pix := '0';
		elsif (col=7   and row=13 ) then pix := '1';
		elsif (col=8   and row=13 ) then pix := '1';
		elsif (col=9   and row=13 ) then pix := '1';
		elsif (col=10  and row=13 ) then pix := '1';
		elsif (col=11  and row=13 ) then pix := '1';
		elsif (col=12  and row=13 ) then pix := '1';
		elsif (col=13  and row=13 ) then pix := '1';
		elsif (col=14  and row=13 ) then pix := '0';
		elsif (col=15  and row=13 ) then pix := '0';
		elsif (col=16  and row=13 ) then pix := '1';
		elsif (col=17  and row=13 ) then pix := '1';
		elsif (col=18  and row=13 ) then pix := '1';
		elsif (col=19  and row=13 ) then pix := '1';
		elsif (col=20  and row=13 ) then pix := '1';
		elsif (col=0   and row=14 ) then pix := '0';
		elsif (col=1   and row=14 ) then pix := '1';
		elsif (col=2   and row=14 ) then pix := '1';
		elsif (col=3   and row=14 ) then pix := '1';
		elsif (col=4   and row=14 ) then pix := '1';
		elsif (col=5   and row=14 ) then pix := '1';
		elsif (col=6   and row=14 ) then pix := '0';
		elsif (col=7   and row=14 ) then pix := '0';
		elsif (col=8   and row=14 ) then pix := '0';
		elsif (col=9   and row=14 ) then pix := '0';
		elsif (col=10  and row=14 ) then pix := '0';
		elsif (col=11  and row=14 ) then pix := '0';
		elsif (col=12  and row=14 ) then pix := '0';
		elsif (col=13  and row=14 ) then pix := '0';
		elsif (col=14  and row=14 ) then pix := '0';
		elsif (col=15  and row=14 ) then pix := '1';
		elsif (col=16  and row=14 ) then pix := '1';
		elsif (col=17  and row=14 ) then pix := '1';
		elsif (col=18  and row=14 ) then pix := '1';
		elsif (col=19  and row=14 ) then pix := '1';
		elsif (col=20  and row=14 ) then pix := '0';
		elsif (col=0   and row=15 ) then pix := '0';
		elsif (col=1   and row=15 ) then pix := '1';
		elsif (col=2   and row=15 ) then pix := '1';
		elsif (col=3   and row=15 ) then pix := '1';
		elsif (col=4   and row=15 ) then pix := '1';
		elsif (col=5   and row=15 ) then pix := '1';
		elsif (col=6   and row=15 ) then pix := '1';
		elsif (col=7   and row=15 ) then pix := '0';
		elsif (col=8   and row=15 ) then pix := '0';
		elsif (col=9   and row=15 ) then pix := '0';
		elsif (col=10  and row=15 ) then pix := '0';
		elsif (col=11  and row=15 ) then pix := '0';
		elsif (col=12  and row=15 ) then pix := '0';
		elsif (col=13  and row=15 ) then pix := '0';
		elsif (col=14  and row=15 ) then pix := '1';
		elsif (col=15  and row=15 ) then pix := '1';
		elsif (col=16  and row=15 ) then pix := '1';
		elsif (col=17  and row=15 ) then pix := '1';
		elsif (col=18  and row=15 ) then pix := '1';
		elsif (col=19  and row=15 ) then pix := '1';
		elsif (col=20  and row=15 ) then pix := '0';
		elsif (col=0   and row=16 ) then pix := '0';
		elsif (col=1   and row=16 ) then pix := '0';
		elsif (col=2   and row=16 ) then pix := '1';
		elsif (col=3   and row=16 ) then pix := '1';
		elsif (col=4   and row=16 ) then pix := '1';
		elsif (col=5   and row=16 ) then pix := '1';
		elsif (col=6   and row=16 ) then pix := '1';
		elsif (col=7   and row=16 ) then pix := '1';
		elsif (col=8   and row=16 ) then pix := '0';
		elsif (col=9   and row=16 ) then pix := '0';
		elsif (col=10  and row=16 ) then pix := '0';
		elsif (col=11  and row=16 ) then pix := '0';
		elsif (col=12  and row=16 ) then pix := '0';
		elsif (col=13  and row=16 ) then pix := '1';
		elsif (col=14  and row=16 ) then pix := '1';
		elsif (col=15  and row=16 ) then pix := '1';
		elsif (col=16  and row=16 ) then pix := '1';
		elsif (col=17  and row=16 ) then pix := '1';
		elsif (col=18  and row=16 ) then pix := '1';
		elsif (col=19  and row=16 ) then pix := '0';
		elsif (col=20  and row=16 ) then pix := '0';
		elsif (col=0   and row=17 ) then pix := '0';
		elsif (col=1   and row=17 ) then pix := '0';
		elsif (col=2   and row=17 ) then pix := '0';
		elsif (col=3   and row=17 ) then pix := '1';
		elsif (col=4   and row=17 ) then pix := '1';
		elsif (col=5   and row=17 ) then pix := '1';
		elsif (col=6   and row=17 ) then pix := '1';
		elsif (col=7   and row=17 ) then pix := '1';
		elsif (col=8   and row=17 ) then pix := '1';
		elsif (col=9   and row=17 ) then pix := '1';
		elsif (col=10  and row=17 ) then pix := '1';
		elsif (col=11  and row=17 ) then pix := '1';
		elsif (col=12  and row=17 ) then pix := '1';
		elsif (col=13  and row=17 ) then pix := '1';
		elsif (col=14  and row=17 ) then pix := '1';
		elsif (col=15  and row=17 ) then pix := '1';
		elsif (col=16  and row=17 ) then pix := '1';
		elsif (col=17  and row=17 ) then pix := '1';
		elsif (col=18  and row=17 ) then pix := '0';
		elsif (col=19  and row=17 ) then pix := '0';
		elsif (col=20  and row=17 ) then pix := '0';
		elsif (col=0   and row=18 ) then pix := '0';
		elsif (col=1   and row=18 ) then pix := '0';
		elsif (col=2   and row=18 ) then pix := '0';
		elsif (col=3   and row=18 ) then pix := '0';
		elsif (col=4   and row=18 ) then pix := '1';
		elsif (col=5   and row=18 ) then pix := '1';
		elsif (col=6   and row=18 ) then pix := '1';
		elsif (col=7   and row=18 ) then pix := '1';
		elsif (col=8   and row=18 ) then pix := '1';
		elsif (col=9   and row=18 ) then pix := '1';
		elsif (col=10  and row=18 ) then pix := '1';
		elsif (col=11  and row=18 ) then pix := '1';
		elsif (col=12  and row=18 ) then pix := '1';
		elsif (col=13  and row=18 ) then pix := '1';
		elsif (col=14  and row=18 ) then pix := '1';
		elsif (col=15  and row=18 ) then pix := '1';
		elsif (col=16  and row=18 ) then pix := '1';
		elsif (col=17  and row=18 ) then pix := '0';
		elsif (col=18  and row=18 ) then pix := '0';
		elsif (col=19  and row=18 ) then pix := '0';
		elsif (col=20  and row=18 ) then pix := '0';
		elsif (col=0   and row=19 ) then pix := '0';
		elsif (col=1   and row=19 ) then pix := '0';
		elsif (col=2   and row=19 ) then pix := '0';
		elsif (col=3   and row=19 ) then pix := '0';
		elsif (col=4   and row=19 ) then pix := '0';
		elsif (col=5   and row=19 ) then pix := '0';
		elsif (col=6   and row=19 ) then pix := '1';
		elsif (col=7   and row=19 ) then pix := '1';
		elsif (col=8   and row=19 ) then pix := '1';
		elsif (col=9   and row=19 ) then pix := '1';
		elsif (col=10  and row=19 ) then pix := '1';
		elsif (col=11  and row=19 ) then pix := '1';
		elsif (col=12  and row=19 ) then pix := '1';
		elsif (col=13  and row=19 ) then pix := '1';
		elsif (col=14  and row=19 ) then pix := '1';
		elsif (col=15  and row=19 ) then pix := '0';
		elsif (col=16  and row=19 ) then pix := '0';
		elsif (col=17  and row=19 ) then pix := '0';
		elsif (col=18  and row=19 ) then pix := '0';
		elsif (col=19  and row=19 ) then pix := '0';
		elsif (col=20  and row=19 ) then pix := '0';
		else pix := '0'; end if;

		return pix;
	end pixels;
end bitmap_smile;
