-- BITMAP GENERATOR --
-- Source bitmap: smile_color.bmp


library ieee;
use ieee.std_logic_1164.all;
use ieee.std_logic_arith.all;
use ieee.std_logic_unsigned.all;

package smile_color is
	--- bitmap pixels ---
	function pix_r(col: std_logic_vector; row: std_logic_vector) return std_logic_vector(7 downto 0);
	function pix_g(col: std_logic_vector; row: std_logic_vector) return std_logic_vector(7 downto 0);
	function pix_b(col: std_logic_vector; row: std_logic_vector) return std_logic_vector(7 downto 0);

	--- bitmap size ---
	constant bmpx: integer := 9;
	constant bmpy: integer := 9;
	constant bitx: integer := 4;
	constant bity: integer := 4;
end smile_color;

package body smile_color is
	--- bitmap red pixels ---
	function pix_r(col: std_logic_vector; row: std_logic_vector) return std_logic_vector(7 downto 0) is
		variable pix: std_logic_vector(7 downto 0);
	begin
		   if (col=0   and row=0  ) then pix := X"FF";
		elsif (col=1   and row=0  ) then pix := X"FF";
		elsif (col=2   and row=0  ) then pix := X"00";
		elsif (col=3   and row=0  ) then pix := X"00";
		elsif (col=4   and row=0  ) then pix := X"00";
		elsif (col=5   and row=0  ) then pix := X"00";
		elsif (col=6   and row=0  ) then pix := X"00";
		elsif (col=7   and row=0  ) then pix := X"FF";
		elsif (col=8   and row=0  ) then pix := X"FF";
		elsif (col=0   and row=1  ) then pix := X"FF";
		elsif (col=1   and row=1  ) then pix := X"00";
		elsif (col=2   and row=1  ) then pix := X"00";
		elsif (col=3   and row=1  ) then pix := X"00";
		elsif (col=4   and row=1  ) then pix := X"00";
		elsif (col=5   and row=1  ) then pix := X"00";
		elsif (col=6   and row=1  ) then pix := X"00";
		elsif (col=7   and row=1  ) then pix := X"00";
		elsif (col=8   and row=1  ) then pix := X"FF";
		elsif (col=0   and row=2  ) then pix := X"00";
		elsif (col=1   and row=2  ) then pix := X"00";
		elsif (col=2   and row=2  ) then pix := X"FF";
		elsif (col=3   and row=2  ) then pix := X"FF";
		elsif (col=4   and row=2  ) then pix := X"00";
		elsif (col=5   and row=2  ) then pix := X"FF";
		elsif (col=6   and row=2  ) then pix := X"FF";
		elsif (col=7   and row=2  ) then pix := X"00";
		elsif (col=8   and row=2  ) then pix := X"00";
		elsif (col=0   and row=3  ) then pix := X"00";
		elsif (col=1   and row=3  ) then pix := X"00";
		elsif (col=2   and row=3  ) then pix := X"FF";
		elsif (col=3   and row=3  ) then pix := X"FF";
		elsif (col=4   and row=3  ) then pix := X"00";
		elsif (col=5   and row=3  ) then pix := X"FF";
		elsif (col=6   and row=3  ) then pix := X"FF";
		elsif (col=7   and row=3  ) then pix := X"00";
		elsif (col=8   and row=3  ) then pix := X"00";
		elsif (col=0   and row=4  ) then pix := X"00";
		elsif (col=1   and row=4  ) then pix := X"00";
		elsif (col=2   and row=4  ) then pix := X"00";
		elsif (col=3   and row=4  ) then pix := X"00";
		elsif (col=4   and row=4  ) then pix := X"00";
		elsif (col=5   and row=4  ) then pix := X"00";
		elsif (col=6   and row=4  ) then pix := X"00";
		elsif (col=7   and row=4  ) then pix := X"00";
		elsif (col=8   and row=4  ) then pix := X"00";
		elsif (col=0   and row=5  ) then pix := X"00";
		elsif (col=1   and row=5  ) then pix := X"00";
		elsif (col=2   and row=5  ) then pix := X"00";
		elsif (col=3   and row=5  ) then pix := X"00";
		elsif (col=4   and row=5  ) then pix := X"00";
		elsif (col=5   and row=5  ) then pix := X"00";
		elsif (col=6   and row=5  ) then pix := X"00";
		elsif (col=7   and row=5  ) then pix := X"00";
		elsif (col=8   and row=5  ) then pix := X"00";
		elsif (col=0   and row=6  ) then pix := X"00";
		elsif (col=1   and row=6  ) then pix := X"00";
		elsif (col=2   and row=6  ) then pix := X"00";
		elsif (col=3   and row=6  ) then pix := X"00";
		elsif (col=4   and row=6  ) then pix := X"00";
		elsif (col=5   and row=6  ) then pix := X"00";
		elsif (col=6   and row=6  ) then pix := X"00";
		elsif (col=7   and row=6  ) then pix := X"00";
		elsif (col=8   and row=6  ) then pix := X"00";
		elsif (col=0   and row=7  ) then pix := X"FF";
		elsif (col=1   and row=7  ) then pix := X"00";
		elsif (col=2   and row=7  ) then pix := X"00";
		elsif (col=3   and row=7  ) then pix := X"00";
		elsif (col=4   and row=7  ) then pix := X"00";
		elsif (col=5   and row=7  ) then pix := X"00";
		elsif (col=6   and row=7  ) then pix := X"00";
		elsif (col=7   and row=7  ) then pix := X"00";
		elsif (col=8   and row=7  ) then pix := X"FF";
		elsif (col=0   and row=8  ) then pix := X"FF";
		elsif (col=1   and row=8  ) then pix := X"FF";
		elsif (col=2   and row=8  ) then pix := X"00";
		elsif (col=3   and row=8  ) then pix := X"00";
		elsif (col=4   and row=8  ) then pix := X"00";
		elsif (col=5   and row=8  ) then pix := X"00";
		elsif (col=6   and row=8  ) then pix := X"00";
		elsif (col=7   and row=8  ) then pix := X"FF";
		elsif (col=8   and row=8  ) then pix := X"FF";
		else pix := X"00"; end if;

		return pix;
	end pix_r;

	--- bitmap green pixels ---
	function pix_g(col: std_logic_vector; row: std_logic_vector) return std_logic_vector(7 downto 0) is
		variable pix: std_logic_vector(7 downto 0);
	begin
		   if (col=0   and row=0  ) then pix := X"FF";
		elsif (col=1   and row=0  ) then pix := X"FF";
		elsif (col=2   and row=0  ) then pix := X"FF";
		elsif (col=3   and row=0  ) then pix := X"FF";
		elsif (col=4   and row=0  ) then pix := X"FF";
		elsif (col=5   and row=0  ) then pix := X"FF";
		elsif (col=6   and row=0  ) then pix := X"FF";
		elsif (col=7   and row=0  ) then pix := X"FF";
		elsif (col=8   and row=0  ) then pix := X"FF";
		elsif (col=0   and row=1  ) then pix := X"FF";
		elsif (col=1   and row=1  ) then pix := X"FF";
		elsif (col=2   and row=1  ) then pix := X"FF";
		elsif (col=3   and row=1  ) then pix := X"FF";
		elsif (col=4   and row=1  ) then pix := X"FF";
		elsif (col=5   and row=1  ) then pix := X"FF";
		elsif (col=6   and row=1  ) then pix := X"FF";
		elsif (col=7   and row=1  ) then pix := X"FF";
		elsif (col=8   and row=1  ) then pix := X"FF";
		elsif (col=0   and row=2  ) then pix := X"FF";
		elsif (col=1   and row=2  ) then pix := X"FF";
		elsif (col=2   and row=2  ) then pix := X"00";
		elsif (col=3   and row=2  ) then pix := X"00";
		elsif (col=4   and row=2  ) then pix := X"FF";
		elsif (col=5   and row=2  ) then pix := X"00";
		elsif (col=6   and row=2  ) then pix := X"00";
		elsif (col=7   and row=2  ) then pix := X"FF";
		elsif (col=8   and row=2  ) then pix := X"FF";
		elsif (col=0   and row=3  ) then pix := X"FF";
		elsif (col=1   and row=3  ) then pix := X"FF";
		elsif (col=2   and row=3  ) then pix := X"00";
		elsif (col=3   and row=3  ) then pix := X"00";
		elsif (col=4   and row=3  ) then pix := X"FF";
		elsif (col=5   and row=3  ) then pix := X"00";
		elsif (col=6   and row=3  ) then pix := X"00";
		elsif (col=7   and row=3  ) then pix := X"FF";
		elsif (col=8   and row=3  ) then pix := X"FF";
		elsif (col=0   and row=4  ) then pix := X"FF";
		elsif (col=1   and row=4  ) then pix := X"FF";
		elsif (col=2   and row=4  ) then pix := X"FF";
		elsif (col=3   and row=4  ) then pix := X"FF";
		elsif (col=4   and row=4  ) then pix := X"00";
		elsif (col=5   and row=4  ) then pix := X"FF";
		elsif (col=6   and row=4  ) then pix := X"FF";
		elsif (col=7   and row=4  ) then pix := X"FF";
		elsif (col=8   and row=4  ) then pix := X"FF";
		elsif (col=0   and row=5  ) then pix := X"FF";
		elsif (col=1   and row=5  ) then pix := X"FF";
		elsif (col=2   and row=5  ) then pix := X"00";
		elsif (col=3   and row=5  ) then pix := X"FF";
		elsif (col=4   and row=5  ) then pix := X"00";
		elsif (col=5   and row=5  ) then pix := X"FF";
		elsif (col=6   and row=5  ) then pix := X"00";
		elsif (col=7   and row=5  ) then pix := X"FF";
		elsif (col=8   and row=5  ) then pix := X"FF";
		elsif (col=0   and row=6  ) then pix := X"FF";
		elsif (col=1   and row=6  ) then pix := X"FF";
		elsif (col=2   and row=6  ) then pix := X"00";
		elsif (col=3   and row=6  ) then pix := X"00";
		elsif (col=4   and row=6  ) then pix := X"00";
		elsif (col=5   and row=6  ) then pix := X"00";
		elsif (col=6   and row=6  ) then pix := X"00";
		elsif (col=7   and row=6  ) then pix := X"FF";
		elsif (col=8   and row=6  ) then pix := X"FF";
		elsif (col=0   and row=7  ) then pix := X"FF";
		elsif (col=1   and row=7  ) then pix := X"FF";
		elsif (col=2   and row=7  ) then pix := X"FF";
		elsif (col=3   and row=7  ) then pix := X"00";
		elsif (col=4   and row=7  ) then pix := X"00";
		elsif (col=5   and row=7  ) then pix := X"00";
		elsif (col=6   and row=7  ) then pix := X"FF";
		elsif (col=7   and row=7  ) then pix := X"FF";
		elsif (col=8   and row=7  ) then pix := X"FF";
		elsif (col=0   and row=8  ) then pix := X"FF";
		elsif (col=1   and row=8  ) then pix := X"FF";
		elsif (col=2   and row=8  ) then pix := X"FF";
		elsif (col=3   and row=8  ) then pix := X"FF";
		elsif (col=4   and row=8  ) then pix := X"FF";
		elsif (col=5   and row=8  ) then pix := X"FF";
		elsif (col=6   and row=8  ) then pix := X"FF";
		elsif (col=7   and row=8  ) then pix := X"FF";
		elsif (col=8   and row=8  ) then pix := X"FF";
		else pix := X"00"; end if;

		return pix;
	end pix_g;

	--- bitmap blue pixels ---
	function pix_b(col: std_logic_vector; row: std_logic_vector) return std_logic_vector(7 downto 0) is
		variable pix: std_logic_vector(7 downto 0);
	begin
		   if (col=0   and row=0  ) then pix := X"FF";
		elsif (col=1   and row=0  ) then pix := X"FF";
		elsif (col=2   and row=0  ) then pix := X"FF";
		elsif (col=3   and row=0  ) then pix := X"FF";
		elsif (col=4   and row=0  ) then pix := X"FF";
		elsif (col=5   and row=0  ) then pix := X"FF";
		elsif (col=6   and row=0  ) then pix := X"FF";
		elsif (col=7   and row=0  ) then pix := X"FF";
		elsif (col=8   and row=0  ) then pix := X"FF";
		elsif (col=0   and row=1  ) then pix := X"FF";
		elsif (col=1   and row=1  ) then pix := X"FF";
		elsif (col=2   and row=1  ) then pix := X"FF";
		elsif (col=3   and row=1  ) then pix := X"FF";
		elsif (col=4   and row=1  ) then pix := X"FF";
		elsif (col=5   and row=1  ) then pix := X"FF";
		elsif (col=6   and row=1  ) then pix := X"FF";
		elsif (col=7   and row=1  ) then pix := X"FF";
		elsif (col=8   and row=1  ) then pix := X"FF";
		elsif (col=0   and row=2  ) then pix := X"FF";
		elsif (col=1   and row=2  ) then pix := X"FF";
		elsif (col=2   and row=2  ) then pix := X"00";
		elsif (col=3   and row=2  ) then pix := X"00";
		elsif (col=4   and row=2  ) then pix := X"FF";
		elsif (col=5   and row=2  ) then pix := X"00";
		elsif (col=6   and row=2  ) then pix := X"00";
		elsif (col=7   and row=2  ) then pix := X"FF";
		elsif (col=8   and row=2  ) then pix := X"FF";
		elsif (col=0   and row=3  ) then pix := X"FF";
		elsif (col=1   and row=3  ) then pix := X"FF";
		elsif (col=2   and row=3  ) then pix := X"00";
		elsif (col=3   and row=3  ) then pix := X"00";
		elsif (col=4   and row=3  ) then pix := X"FF";
		elsif (col=5   and row=3  ) then pix := X"00";
		elsif (col=6   and row=3  ) then pix := X"00";
		elsif (col=7   and row=3  ) then pix := X"FF";
		elsif (col=8   and row=3  ) then pix := X"FF";
		elsif (col=0   and row=4  ) then pix := X"FF";
		elsif (col=1   and row=4  ) then pix := X"FF";
		elsif (col=2   and row=4  ) then pix := X"FF";
		elsif (col=3   and row=4  ) then pix := X"FF";
		elsif (col=4   and row=4  ) then pix := X"00";
		elsif (col=5   and row=4  ) then pix := X"FF";
		elsif (col=6   and row=4  ) then pix := X"FF";
		elsif (col=7   and row=4  ) then pix := X"FF";
		elsif (col=8   and row=4  ) then pix := X"FF";
		elsif (col=0   and row=5  ) then pix := X"FF";
		elsif (col=1   and row=5  ) then pix := X"FF";
		elsif (col=2   and row=5  ) then pix := X"FF";
		elsif (col=3   and row=5  ) then pix := X"FF";
		elsif (col=4   and row=5  ) then pix := X"00";
		elsif (col=5   and row=5  ) then pix := X"FF";
		elsif (col=6   and row=5  ) then pix := X"FF";
		elsif (col=7   and row=5  ) then pix := X"FF";
		elsif (col=8   and row=5  ) then pix := X"FF";
		elsif (col=0   and row=6  ) then pix := X"FF";
		elsif (col=1   and row=6  ) then pix := X"FF";
		elsif (col=2   and row=6  ) then pix := X"FF";
		elsif (col=3   and row=6  ) then pix := X"FF";
		elsif (col=4   and row=6  ) then pix := X"FF";
		elsif (col=5   and row=6  ) then pix := X"FF";
		elsif (col=6   and row=6  ) then pix := X"FF";
		elsif (col=7   and row=6  ) then pix := X"FF";
		elsif (col=8   and row=6  ) then pix := X"FF";
		elsif (col=0   and row=7  ) then pix := X"FF";
		elsif (col=1   and row=7  ) then pix := X"FF";
		elsif (col=2   and row=7  ) then pix := X"FF";
		elsif (col=3   and row=7  ) then pix := X"FF";
		elsif (col=4   and row=7  ) then pix := X"FF";
		elsif (col=5   and row=7  ) then pix := X"FF";
		elsif (col=6   and row=7  ) then pix := X"FF";
		elsif (col=7   and row=7  ) then pix := X"FF";
		elsif (col=8   and row=7  ) then pix := X"FF";
		elsif (col=0   and row=8  ) then pix := X"FF";
		elsif (col=1   and row=8  ) then pix := X"FF";
		elsif (col=2   and row=8  ) then pix := X"FF";
		elsif (col=3   and row=8  ) then pix := X"FF";
		elsif (col=4   and row=8  ) then pix := X"FF";
		elsif (col=5   and row=8  ) then pix := X"FF";
		elsif (col=6   and row=8  ) then pix := X"FF";
		elsif (col=7   and row=8  ) then pix := X"FF";
		elsif (col=8   and row=8  ) then pix := X"FF";
		else pix := X"00"; end if;

		return pix;
	end pix_b;

end smile_color;
